## Copyright (C) 2019 Jens
## 
## This program is free software: you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see
## <https://www.gnu.org/licenses/>.

## -*- texinfo -*- 
## @deftypefn {} {@var{retval} =} results_sprung (@var{input1}, @var{input2})
##
## @seealso{}
## @end deftypefn

## Author: Jens <jens@orion>
## Created: 2019-04-16

function results_sprung (filename)
	x = load(filename);
	Npad = 600;
	t = [-(Npad-1:-1:0)/60 x(:,1)'];
	temp_raw = [repmat(x(1,2), 1, Npad) x(:,2)'];
	temp_filtered = [repmat(x(1,3), 1, Npad) x(:,3)'];
	power = [repmat(x(1,4), 1, Npad) x(:,4)'];
	error = [repmat(x(1,5), 1, Npad) x(:,5)'];
	heatrate_filtered = [repmat(x(1,6), 1, Npad) x(:,6)'];
	
	subplot(2,1,1)
	plot (t, power); grid
	subplot(2,1,2)
	plot (t, heatrate_filtered); grid

endfunction
